##################
# Coded by Epoch #
##################

menu * {
  Elite Talkers: {
    if ($dialog(talker)) { dialog -ve talker talker }
    else { dialog -md talker talker }
  }
}
on *:dialog:talker:close:*: { .timertalkerscroll off }
on *:load: { set %talker~~foreigner.settings 3 4 0 | set %talker~~foreign.settings 3 4 0 | echo -a Elite Talkers By Epoch Loaded Successfully.... | echo -a Look In The Popup Menu To Get Started. }
on *:unload: { unset %talker~~foreigner.* | unset %talker~~foreign.* }

##################
# Coded by Epoch #
##################

dialog talker {
  title "Elite Talkers"
  size -1 -1 194 277
  option pixels
  icon main\ico\icon.ico, 0
  radio "", 1, 10 22 16 20
  radio "1337", 2, 10 46 16 20
  radio "", 3, 10 70 16 20
  radio "", 7, 107 94 15 20
  radio "", 8, 10 118 16 20
  radio "", 9, 10 94 16 20
  radio "", 10, 107 22 15 20
  radio "", 11, 107 46 16 20
  radio "", 12, 107 70 15 20
  radio "", 14, 107 118 15 20
  box "Elite Chat", 6, 5 5 75 140
  box "Elite Chat", 13, 100 5 89 140
  button "Done", 5, 97 242 88 26, ok
  text "", 15, 84 10 12 14, center
  text "", 17, 84 30 12 14, center
  text "", 18, 84 50 12 14, center
  text "", 19, 84 70 12 14, center
  text "", 20, 84 90 12 14, center
  text "", 21, 84 110 12 14, center
  text "", 22, 84 130 12 14, center
  radio "OFF", 4, 10 243 15 19
  box "Different Language Chat", 23, 5 149 183 84
  radio "", 24, 10 164 14 20
  radio "Dutch", 25, 10 185 17 20
  radio "Spanish", 26, 10 206 16 20
  radio "Italian", 27, 105 164 17 20
  radio "Portuguese", 28, 105 185 16 20
  radio "", 29, 105 206 17 20
  text "German", 16, 28 166 43 16
  text "Spanish", 30, 28 208 40 16
  text "Dutch", 31, 29 187 33 16
  text "Off", 32, 27 245 19 16
  text "Italian", 33, 124 166 33 16
  text "Portuguese", 34, 124 188 58 16
  text "French", 35, 124 208 50 16
  text "Ascii", 36, 29 24 31 16
  text "1337", 37, 29 48 27 16
  text "Morse", 38, 29 71 31 16
  text "Blocks", 39, 30 96 33 16
  text "Alt Caps", 40, 30 120 45 16
  text "Under Bold", 41, 123 24 56 16
  text "Rainbow", 42, 124 48 47 16
  text "Reverse", 43, 125 71 44 16
  text "Pig Latin", 44, 125 95 44 16
  text "Bubbles", 45, 125 119 40 16
}

alias -l mdx { return $shortfn($scriptdir $+ \mdx.dll) }
radio 1,2,3,4,5,6,7,8,9,10,11,12,13,14,24,25,26,27,28,29
text 15,17,18,19,20,21,22,16,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45
alias talkerscroll {
  inc %.vs. 1
  if (%.vs. >= 15) { %.vs. = 1 }
  if (%.vs. == 1) { %vs.char = S }
  elseif (%.vs. == 2) { %vs.char = R }
  elseif (%.vs. == 3) { %vs.char = E }
  elseif (%.vs. == 4) { %vs.char = K }
  elseif (%.vs. == 5) { %vs.char = L }
  elseif (%.vs. == 6) { %vs.char = A }
  elseif (%.vs. == 7) { %vs.char = T }
  elseif (%.vs. == 8) { %vs.char = $chr(32) }
  elseif (%.vs. == 9) { %vs.char = E }
  elseif (%.vs. == 10) { %vs.char = T }
  elseif (%.vs. == 11) { %vs.char = I }
  elseif (%.vs. == 12) { %vs.char = L }
  elseif (%.vs. == 13) { %vs.char = E }
  elseif (%.vs. == 14) { %vs.char = $chr(32) }
  did -ra talker 22 $did(talker,21)
  did -ra talker 21 $did(talker,20)
  did -ra talker 20 $did(talker,19)
  did -ra talker 19 $did(talker,18)
  did -ra talker 18 $did(talker,17)
  did -ra talker 17 $did(talker,15)
  did -ra talker 15 %vs.char
}
on *:dialog:talker:init:*: {
  set %.vs. 0
  .timertalkerscroll -m 0 500 talkerscroll
  dll $mdx SetMircVersion $version
  dll $mdx MarkDialog $dname
  dll $mdx SetBorderStyle $dname windowedge clientedge
  dll $mdx SetColor 6,13,23,5,1,2,3,4,5,6,7,8,9,10,11,12,13,14,24,25,26,27,28,29,15,17,18,19,20,21,22,16,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45 background [ $rgb(0,0,0) ] 
  dll $mdx SetColor 15,17,18,19,20,21,22,16,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45 textbg [ $rgb(0,0,0) ] 
  dll $mdx SetColor 15,17,18,19,20,21,22,16,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45 text [ $rgb(0,255,255) ] 
  dll $mdx SetDialog [ $dname ] bgcolor [ $rgb(0,0,0) ] 
  if (%talkergerman == on) { did -c $dname 24 }
  if (%talkerdutch == on) { did -c $dname 25 }
  if (%talkerspanish == on) { did -c $dname 26 }
  if (%talkeritalian == on) { did -c $dname 27 }
  if (%talkerportuguese == on) { did -c $dname 28 }
  if (%talkerfrench == on) { did -c $dname 29 }
  if (%talkerjsw == on) { did -c $dname 1 }
  if (%talkerlsw == on) { did -c $dname 2 }
  if (%talkermsw == on) { did -c $dname 3 }
  if (%talkerpig == on) { did -c $dname 7 }
  if (%talkeralt == on) { did -c $dname 8 }
  if (%talkerblk == on) { did -c $dname 9 }
  if (%talkerund == on) { did -c $dname 10 }
  if (%talkerbow == on) { did -c $dname 11 }
  if (%talkerrev == on) { did -c $dname 12 }
  if (%talkerbub == on) { did -c $dname 14 }
  if (%talkergerman == on) { did -u $dname 24 }
  if (%talkerdutch == on) { did -u $dname 25 }
  if (%talkerspanish == on) { did -u $dname 26 }
  if (%talkeritalian == on) { did -u $dname 27 }
  if (%talkerportuguese == on) { did -u $dname 28 }
  if (%talkerfrench == on) { did -u $dname 29 }
  if (%talkerjsw == off) { did -u $dname 1 }
  if (%talkerlsw == off) { did -u $dname 2 }
  if (%talkermsw == off) { did -u $dname 3 }
  if (%talkerpig == off) { did -u $dname 7 }
  if (%talkeralt == off) { did -u $dname 8 }
  if (%talkerblk == off) { did -u $dname 9 }
  if (%talkerund == off) { did -u $dname 10 }
  if (%talkerbow == off) { did -u $dname 11 }
  if (%talkerrev == off) { did -u $dname 12 }
  if (%talkerbub == off) { did -u $dname 14 }
}
on *:dialog:talker:sclick:*: {
  if ($did == 1) { set %elitelang Ascii | set %talkerjsw on | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 2) { set %talkerlsw on | set %talkerjsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 3) { set %talkermsw on | set %talkerjsw off | set %talkerlsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 4) { set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 7) { set %talkerpig on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 8) { set %talkeralt on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 9) { set %talkerblk on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 10) { set %talkerund on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerbow off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 11) { set %talkerbow on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerrev off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 12) { set %talkerrev on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerbub off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 14) { set %talkerbub on | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 24) { set %elitelang German | set %talkerbub off | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman on | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 25) { set %elitelang Dutch | set %talkerbub off | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch on | set %talkeritalian off }
  if ($did == 26) { set %elitelang Spanish | set %talkerbub off | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish on | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 27) { set %elitelang Italian | set %talkerbub off | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian on }
  if ($did == 28) { set %elitelang Portuguese | set %talkerbub off | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman off | set %talkerportuguese on | set %talkerspanish off | set %talkerfrench off | set %talkerdutch off | set %talkeritalian off }
  if ($did == 29) { set %elitelang French | set %talkerbub off | set %talkerjsw off | set %talkerlsw off | set %talkermsw off | set %talkerpig off | set %talkeralt off | set %talkerblk off | set %talkerund off | set %talkerbow off | set %talkerrev off | set %talkergerman off | set %talkerportuguese off | set %talkerspanish off | set %talkerfrench on | set %talkerdutch off | set %talkeritalian off }
}
alias bubbles { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) { var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1),$chr(40) $+ $mid($1-,%talkerb,1) $+ $chr(41)) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias altcap { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) { var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1),$iif($rand(1,2) == 1,$lower($mid($1-,%talkerb,1)),$upper($mid($1-,%talkerb,1)))) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias blocks { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) { var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1),$chr(91) $+ $mid($1-,%talkerb,1) $+ $chr(93)) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias underbold { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) { var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1),$iif($rand(1,2) == 1,,) $+ $mid($1-,%talkerb,1) $+ $iif($rand(1,2) == 1,,)) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias reverse2 { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) {  var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1), $+ $mid($1-,%talkerb,1)) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias reverse { var %talkera = $len($1-) | while (%talkera) { var %talkerb = $iif($mid($1-,%talkera,1) == $chr(32),$chr(1),$mid($1-,%talkera,1)) | var %talkerc = %talkerc $+ %talkerb | dec %talkera } | $iif($isid,return,say) $replace(%talkerc,$chr(1),$chr(32)) | halt }
alias rainbowWhite { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) { var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1), $+ $rand(2,15) $+ $mid($1-,%talkerb,1)) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) 0,0 $+ $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias rainbowBlack { var %talkera = $len($1-),%talkerb = 1 | while (%talkerb <= %talkera) { var %talkerc = $iif($mid($1-,%talkerb,1) == $chr(32),$chr(1), $+ $rand(2,15) $+ $mid($1-,%talkerb,1)) | var %talkerd = %talkerd $+ %talkerc | inc %talkerb } | $iif($isid,return,say) 1,1 $+ $replace(%talkerd,$chr(1),$chr(32)) | halt }
alias piglatin { say $pig1($$1-) | halt | }
alias pig { echo $color(info) -at *** $iif($$1 == -c,$pig1($2-).cap,$pigl($1-)) }
alias pig1 {
  var %talkera = 1,%talkerv = a.e.i.o.u,%talkerr,%talkerw
  while ($gettok($1-,%talkera,32) != $null) {
    %talkerw = $lower($ifmatch)
    if ($istok(%talkerv,$mid(%talkerw,1,1),46)) %talkerw = %talkerw $+ way
    else {
      var %talkerc
      while ($mid(%talkerw,1,1) != $null) {
        if (!$istok(%talkerv,$mid(%talkerw,1,1),46)) %talkerw = $right(%talkerw,$iif($mid(%talkerw,1,2) == qu,-2,-1)) $+ $mid(%talkerw,1,$iif($mid(%talkerw,1,2) == qu,2,1))
        else break
      }
      %talkerw = %talkerw $+ ay
    }
    %talkerr = %talkerr $iif($prop == cap,$upper($mid(%talkerw,1,1)) $+ $right(%talkerw,-1),%talkerw)
    inc %talkera
  }
  return %talkerr
}
On *:Sockopen:foreign: {
  Sockwrite -tn $Sockname GET $+(http://www.babelfish.altavista.com/tr?lp=,%talker~~foreign.language,&trtext=,%talker~~foreign.text,) HTTP/1.1
  Sockwrite -tn $Sockname Host: babelfish.altavista.com $+ $Str($Crlf,2)
  Sockwrite -tn $Sockname User-Agent: mIRC
  Sockwrite -tn $Sockname $Crlf
  Unset %talker~~foreign.language
  Unset %talker~~foreign.text
}
On *:Sockread:foreign: {
  If ($Sockerr) { Sockclose $Sockname | msg %talkerchannelx An error has occured: $Sockerr | Halt }
  Elseif (%talker~~tbsitu.updated == $Null) {
    Sockread %talker~~foreign.sockread
    If (*<td bgcolor=white class=s><div style=padding:10px;>* Iswm %talker~~foreign.sockread) {
      Set %talker~~foreign.settings $Gettok(%talker~~foreign.settings,1-2,32) $Calc($Gettok(%talker~~foreign.settings,3,32) + 1)
      .raw PRIVMSG $active : $+ $Gettok($Gettok(%talker~~foreign.sockread,3,60),2,62) | echo -a 14<4 $+ $me $+ 15@4 $+ %elitelang $+ 14> $Gettok($Gettok(%talker~~foreign.sockread,3,60),2,62)
    }
  }
  Unset %talker~~foreign.sockread
}
Alias foreign {
  If ($1 == $Null) {
    If ($Dialog(foreign) == $Null) { Dialog -m foreign foreign }
    Else { Dialog -v foreign }
  }
}
Alias foreign.Translate { 
  Sockclose foreign
  Set %talker~~foreign.language $$1
  Set %talker~~foreign.text $Replace($$2-,$Chr(32),$+($Chr(37),20))
  Set %talker~~foreign.settings %talkertlang %talkersecondlanguage $Gettok(%talker~~foreign.settings,3,32)
  Sockopen foreign babelfish.altavista.com 80 
}
Alias foreign.Language {
  If ($$1 == English) { Return en }
  ElseIf ($$1 == Chinese) { Return zh }
  ElseIf ($$1 == Dutch) { Return nl }
  ElseIf ($$1 == French) { Return fr }
  ElseIf ($$1 == German) { Return de }
  ElseIf ($$1 == Greek) { Return el }
  ElseIf ($$1 == Italian) { Return it }
  ElseIf ($$1 == Japanese) { Return ja }
  ElseIf ($$1 == Korean) { Return ko }
  ElseIf ($$1 == Portuguese) { Return pt }
  ElseIf ($$1 == Russian) { Return ru }
  ElseIf ($$1 == Spanish) { Return es }
  ElseIf ($$1 == 1) || ($$1 == zh) { Return Chinese }
  ElseIf ($$1 == 2) || ($$1 == nl) { Return Dutch }
  ElseIf ($$1 == 3) || ($$1 == en) { Return English }
  ElseIf ($$1 == 4) || ($$1 == fr) { Return French }
  ElseIf ($$1 == 5) || ($$1 == de) { Return German }
  ElseIf ($$1 == 6) || ($$1 == el) { Return Greek }
  ElseIf ($$1 == 7) || ($$1 == it) { Return Italian }
  ElseIf ($$1 == 8) || ($$1 == ja) { Return Japanese }
  ElseIf ($$1 == 9) || ($$1 == ko) { Return Korean }
  ElseIf ($$1 == 10) || ($$1 == pt) { Return Portuguese }
  ElseIf ($$1 == 11) || ($$1 == ru) { Return Russian }
  ElseIf ($$1 == 12) || ($$1 == es) { Return Spanish }
}
on ^*:action:*:*: {
  if (%talkergerman == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(german),_,$foreign.Language(english)) $1- }
  elseif (%talkerdutch == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(dutch),_,$foreign.Language(english)) $1- }
  elseif (%talkerfrench == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(french),_,$foreign.Language(english)) $1- }
  elseif (%talkeritalian == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(italian),_,$foreign.Language(english)) $1- }
  elseif (%talkerportuguese == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(portuguese),_,$foreign.Language(english)) $1- }
  elseif (%talkerspanish == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(spanish),_,$foreign.Language(english)) $1- }
}
on ^*:text:*:*: {
  if (%talkergerman == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(german),_,$foreign.Language(english)) $1- }
  elseif (%talkerdutch == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(dutch),_,$foreign.Language(english)) $1- }
  elseif (%talkerfrench == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(french),_,$foreign.Language(english)) $1- }
  elseif (%talkeritalian == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(italian),_,$foreign.Language(english)) $1- }
  elseif (%talkerportuguese == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(portuguese),_,$foreign.Language(english)) $1- }
  elseif (%talkerspanish == on) { set %talkertalkingshit $1- | foreigner.Translate $+($foreign.Language(spanish),_,$foreign.Language(english)) $1- }
}

On *:Sockopen:foreigner: {
  Sockwrite -tn $Sockname GET $+(http://www.babelfish.altavista.com/tr?lp=,%talker~~foreigner.language,&trtext=,%talker~~foreigner.text,) HTTP/1.1
  Sockwrite -tn $Sockname Host: babelfish.altavista.com $+ $Str($Crlf,2)
  Sockwrite -tn $Sockname User-Agent: mIRC
  Sockwrite -tn $Sockname $Crlf
  Unset %talker~~foreigner.language
  Unset %talker~~foreigner.text
}
On *:Sockread:foreigner: {
  If ($Sockerr) { Sockclose $Sockname | msg %talkerchannelx An error has occured: $Sockerr | Halt }
  Elseif (%talker~~tbsitu.updated == $Null) {
    Sockread %talker~~foreigner.sockread
    If (*<td bgcolor=white class=s><div style=padding:10px;>* Iswm %talker~~foreigner.sockread) {
      Set %talker~~foreigner.settings $Gettok(%talker~~foreigner.settings,1-2,32) $Calc($Gettok(%talker~~foreigner.settings,3,32) + 1)
      echo -a ENGLISH: $Gettok($Gettok(%talker~~foreigner.sockread,3,60),2,62)
    }
  }
  Unset %talker~~foreigner.sockread
}
alias foreigner { 
  If ($1 == $Null) {
    If ($Dialog(foreigner) == $Null) { Dialog -m foreigner foreigner }
    Else { Dialog -v foreigner }
  }
}
alias foreigner.Translate { 
  Sockclose foreigner
  Set %talker~~foreigner.language $$1
  Set %talker~~foreigner.text $Replace($$2-,$Chr(32),$+($Chr(37),20))
  Set %talker~~foreigner.settings %talkertlang %talkersecondlanguage $Gettok(%talker~~foreigner.settings,3,32)
  Sockopen foreigner babelfish.altavista.com 80 
}
alias foreigner.Language {
  If ($$1 == English) { Return en }
  ElseIf ($$1 == Dutch) { Return nl }
  ElseIf ($$1 == French) { Return fr }
  ElseIf ($$1 == German) { Return de }
  ElseIf ($$1 == Italian) { Return it }
  ElseIf ($$1 == Portuguese) { Return pt }
  ElseIf ($$1 == Spanish) { Return es }
  ElseIf ($$1 == 2) || ($$1 == nl) { Return Dutch }
  ElseIf ($$1 == 3) || ($$1 == en) { Return English }
  ElseIf ($$1 == 4) || ($$1 == fr) { Return French }
  ElseIf ($$1 == 5) || ($$1 == de) { Return German }
  ElseIf ($$1 == 7) || ($$1 == it) { Return Italian }
  ElseIf ($$1 == 10) || ($$1 == pt) { Return Portuguese }
  ElseIf ($$1 == 12) || ($$1 == es) { Return Spanish }
}
on *:Input:*:{
  if ($left($active,1) == @) { return }
  elseif ($left($1,1) == /) { return }
  elseif (%talkerjsw == on) { .raw privmsg $active : $+ $replacecs($1-,a,,b,,c,,d,,i,,l,,n,,o,,r,,s,,u,,x,,e,,y,,A,,B,,C,,D,,I,,L,,N,,O,,R,,S,,U,,X,,E,,Y,,0,,1,,2,,3,,',,?,,!,) | echo -a 14<4 $+ $me $+ 15@4Ascii14> $replacecs($1-,a,,b,,c,,d,,i,,l,,n,,o,,r,,s,,u,,x,,e,,y,,A,,B,,C,,D,,I,,L,,N,,O,,R,,S,,U,,X,,E,,Y,,0,,1,,2,,3,,',,?,,!,) | halt }
  elseif (%talkerlsw == on) { .raw privmsg $active : $+ $replacecs($1-,a,4,A,4,e,3,E,3,l,I,L,I,i,1,I,1,f,ph,F,ph,s,5,S,5,you,j00,YOU,j00,o,0,O,0) | echo -a 14<4 $+ $me $+ 15@041337 $+ 14> $replacecs($1-,a,4,A,4,e,3,E,3,l,I,L,I,i,1,I,1,f,ph,F,ph,s,5,S,5,you,j00,YOU,j00,o,0,O,0) | halt }
  elseif (%talkermsw == on) { .raw privmsg $active : $+ $replacecs($1-,a,.-,A,.-,b,-...,B,-...,c,-.-.,C,-.-.,d,-..,D,-..,e,.,E,.,f,..-.,F,..-.,g,--.,G,--.,h,....,H,....,I,..,i,..,j,.---,J,.---,k,-.-,K,-.-,l,.-..,L,.-..,m,--,M,--,n,-.,N,-.,o,---,O,---,p,.--.,P,.--.,Q,--.-,q,--.-,r,.-.,R,.-.,s,...,S,...,t,-,T,-,u,..-,U,..-,v,...-,V,...-,w,.--,W,.--,x,-..-,X,-..-,y,-.--,Y,-.--,z,--..,Z,--..,0,-----,1,.----,2,..---,3,...--,4,....-,5,.....,6,-....,7,--...,8,---..,9,----).) | echo -a 14<4 $+ $me $+ 15@4Morse14> $replacecs($1-,a,.-,A,.-,b,-...,B,-...,c,-.-.,C,-.-.,d,-..,D,-..,e,.,E,.,f,..-.,F,..-.,g,--.,G,--.,h,....,H,....,I,..,i,..,j,.---,J,.---,k,-.-,K,-.-,l,.-..,L,.-..,m,--,M,--,n,-.,N,-.,o,---,O,---,p,.--.,P,.--.,Q,--.-,q,--.-,r,.-.,R,.-.,s,...,S,...,t,-,T,-,u,..-,U,..-,v,...-,V,...-,w,.--,W,.--,x,-..-,X,-..-,y,-.--,Y,-.--,z,--..,Z,--..,0,-----,1,.----,2,..---,3,...--,4,....-,5,.....,6,-....,7,--...,8,---..,9,----).) | halt }
  elseif (%talkerpig == on) { .raw PRIVMSG $active : $+ $piglatin($1-) | echo -a 14<4 $+ $me $+ 15@4PigLatin14> $piglatin($1-) | halt }
  elseif (%talkeralt == on) { .raw PRIVMSG $active : $+ $altcap($1-) | echo -a 14<4 $+ $me $+ 15@4AltCaps14> $altcap($1-) | halt }
  elseif (%talkerblk == on) { .raw PRIVMSG $active : $+ $blocks($1-) | echo -a 14<4 $+ $me $+ 15@4Blocks14> $blocks($1-) | halt }
  elseif (%talkerund == on) { .raw PRIVMSG $active : $+ $underbold($1-) | echo -a 14<4 $+ $me $+ 15@4UnderBold14> $underbold($1-) | halt }
  elseif (%talkerrev == on) { .raw PRIVMSG $active : $+ $reverse($1-) | echo -a 14<4 $+ $me $+ 15@4Reverse14> $reverse($1-) | halt }
  elseif (%talkerbow == on) { .raw PRIVMSG $active : $+ $rainbowblack($1-) | echo -a 14<4 $+ $me $+ 15@4Rainbow14> $rainbowblack($1-) | halt }
  elseif (%talkerbub == on) { .raw PRIVMSG $active : $+ $bubbles($1-) | echo -a 14<4 $+ $me $+ 15@4Bubbles14> $bubbles($1-) | halt }
  elseif (%talkergerman == on) { set %talkertalkingshit $1- | foreign.Translate $+($foreign.Language(english),_,$foreign.Language(german)) $1- | halt }
  elseif (%talkerdutch == on) { set %talkertalkingshit $1- | foreign.Translate $+($foreign.Language(english),_,$foreign.Language(dutch)) $1- | halt }
  elseif (%talkerfrench == on) { set %talkertalkingshit $1- | foreign.Translate $+($foreign.Language(english),_,$foreign.Language(french)) $1- | halt }
  elseif (%talkeritalian == on) { set %talkertalkingshit $1- | foreign.Translate $+($foreign.Language(english),_,$foreign.Language(italian)) $1- | halt }
  elseif (%talkerportuguese == on) { set %talkertalkingshit $1- | foreign.Translate $+($foreign.Language(english),_,$foreign.Language(portuguese)) $1- | halt }
  elseif (%talkerspanish == on) { set %talkertalkingshit $1- | foreign.Translate $+($foreign.Language(english),_,$foreign.Language(spanish)) $1- | halt }
}
